<?php
if(isset($_GET['sil_id'])){
    $delete = $db->exec("DELETE FROM blog WHERE id = '{$_GET['sil_id']}' LIMIT 1");
    echo b();
}

if($_POST){

	$sef = sef($_POST['baslik']);

    if(isset($_GET['duzenle_id'])){
        $islem = $db->prepare("UPDATE blog SET baslik = ?, sef = ?, description = ?, aciklama = ?, img = ? WHERE id = ?");
        $islem = $islem->execute(array($_POST['baslik'],$sef,$_POST['description'],$_POST['aciklama'],$_POST['img1'],$_GET['duzenle_id']));
    }else{
        $islem = $db->prepare("INSERT INTO blog SET baslik = ?, sef = ?, description = ?, aciklama = ?, img = ?");
        $islem = $islem->execute(array($_POST['baslik'],$sef,$_POST['description'],$_POST['aciklama'],$_POST['img1']));
    }
    if($islem){
        echo b();
    }else{
        echo h();
    }
}

if(isset($_GET['duzenle_id'])){
    $duzenle = $db->query("SELECT * FROM blog WHERE id = '{$_GET['duzenle_id']}' LIMIT 1")->fetch(PDO::FETCH_ASSOC);
    ?>
	<script type="text/javascript">
		$(function(){
			<?php
             if($duzenle['img'] !='' AND is_file('../upload/'.$duzenle['img'])){
                ?>
                  $('.uploaddis[data-id="1"] .yuklendi img').attr('src','../upload/<?php echo $duzenle['img']; ?>');
                  $('.uploaddis[data-id="1"] input').val('<?php echo $duzenle['img']; ?>');
                  $('.uploaddis[data-id="1"]').removeClass('aktif');
                  $('.uploaddis[data-id="1"]').addClass('pasif');
                <?php
              }
            ?>
		});
	</script>
	<?php
}
?>

<div class="page-header">
	<div class="page-leftheader">
		<h4 class="page-title">Blog Yönetimi</h4>
	</div>
	<div class="page-rightheader ml-auto d-lg-flex d-none">
		<ol class="breadcrumb">
			<li class="breadcrumb-item"><a href="index.php">Anasayfa</a></li>
			<li class="breadcrumb-item active" aria-current="page">Blog Yönetimi</li>
		</ol>
	</div>
</div>
						
<div class="row">
	
	<div class="col-md-12">
		<div class="card">
			<div class="card-body">
				<div class="row">
					<div class="col-md-12">
						
						<form class="form-horizontal" method="post" action="">

							<div class="form-group row">
								<label class="col-md-3 form-label">Blog Adı</label>
								<div class="col-md-9">
									<input type="text" class="form-control" name="baslik" value="<?php echo @$duzenle['baslik']; ?>" required="">
								</div>
							</div>

							<div class="form-group row">
								<label class="col-md-3 form-label">Kısa Açıklama (description)</label>
								<div class="col-md-9">
									<textarea class="form-control" rows="3" name="description"><?php echo @$duzenle['description']; ?></textarea>
								</div>
							</div>


							<div class="form-group row">
				                <div class="col-md-3"></div>
				                <div class="col-md-9">
				                    <div class="uploaddis aktif" data-id="1" style="float:left;">
				        			  <div class="yuklendi">
				        				  <img src="">
				        				  <div class="icon" data-id="1"><span class="fa fa-trash"></span></div>
				        				  <input type="hidden" name="img1" value="" required="">
				        			  </div>
				        			  <div class="upload">
				        				  <span class="metin" style="width: 100%;float: left;">Resim Yükle</span>
				        				  <div class="icon"><span class="fa fa-upload" data-id="1"></span></div>
				        			  </div>
				        			</div>
				                </div>
				            </div>

							<div class="form-group row">
								<label class="col-md-12 form-label">Blog Açıklaması</label>
								<div class="col-md-12">
									<textarea class="form-control" id="editor" rows="3" name="aciklama"><?php echo @$duzenle['aciklama']; ?></textarea>
								</div>
							</div>



							<div class="form-group row">
								<div class="col-md-12"><center><button type="submit" class="btn btn-info">Kaydet</button></center></div>
							</div>


							<div id="queue"></div>

						</form>

					</div>
				</div>
			</div>
		</div>
	</div>
</div>

<script src="assets/ckeditor/ckeditor.js"></script>
<script src="assets/ckeditor/samples/js/sample.js"></script>
<script>
	initSample();
</script>